Skip to content

Get All Resources

Request

Get an array of all resources. Resources represent all machinery and employees relevant to production including their hourly rates (e.g. SMT Personnel or Fuji NXT Pick and Place Machine).

Resources can be used in activities to get time calculations as well as costs associated with them.

Security
BearerAuth
Headers
Acceptstring(ManufacturingResourceAcceptHeader)required

Set this to application/api.luminovo.manufacturing.resource-v1+json.

Value:"application/api.luminovo.manufacturing.resource-v1+json"
GET
/manufacturing/resource
curl -i -X GET \
  https://api.luminovo.com/manufacturing/resource \
  -H 'Accept: application/api.luminovo.manufacturing.resource-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Successful response

Bodyapplication/json
Array [
idstring, (uuid)required
namestringrequired
internal_numberstring or null
descriptionstring or null
typestring(types.manufacturing.resource.v1.ResourceType)required
Enum:"Machine""Person"
cost_per_hourobject(types.primitives.monetary_value.v1.ConvertedMonetaryValue)required
statusstring(types.manufacturing.v1.ManufacturingEntityStatus)required
Enum:"Active""Inactive"
site_idstring or null, (uuid)
]
Response
[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "internal_number": "string", "description": "string", "type": "Machine", "cost_per_hour": {}, "status": "Active", "site_id": "72771e6a-6f5e-4de4-a5b9-1266c4197811" } ]